[问题]如何在UBUNTU中安装低版本的内核

不同视角、不同观点、深度探讨,禁止人品和道德攻击
回复
ppiigg_
帖子: 3
注册时间: 2007-08-04 19:47
送出感谢: 0
接收感谢: 0

[问题]如何在UBUNTU中安装低版本的内核

#1

帖子 ppiigg_ » 2007-10-17 11:06

因为UBUNTU7用的是2.6.20的内核,不过我现在要用2.6.10内核(调度驱动和内核),怎么装啊?按内核包中的说明安装时老是出错,说找不到这个那个头文件:(请问怎么解决啊?请大家出出主意!
头像
猛将兄
帖子: 2052
注册时间: 2005-10-19 17:33
送出感谢: 0
接收感谢: 0

#2

帖子 猛将兄 » 2007-10-17 12:22

7.04里面已经没有包可供你安装了。你只能自己去kernel.org上面下载了
http://www.kernel.org/pub/linux/kernel/v2.6/
然后自己编译内核。
问题是一堆驱动你也要自己编译,特别是没有集成进内核的部分显卡驱动。
我想你是做OS的作业或者毕设吧?
内核编译,参考
http://www.digitalhermit.com/linux/Kern ... HOWTO.html
还有
http://www.falkotimme.com/howtos/debian ... 6_compile/
很早以前做过,现在不做了,不太熟悉,你自己摸索一下吧。最好打印出来看,免得到时候进不了系统干着急
ppiigg_
帖子: 3
注册时间: 2007-08-04 19:47
送出感谢: 0
接收感谢: 0

好的,谢谢“猛将兄”

#3

帖子 ppiigg_ » 2007-10-17 14:44

好的,谢谢“猛将兄”,我下了内核。但是用make mrproper出错,并且用make menuconfig时出现大量错误。提示找不到这个或那个的。
头像
猛将兄
帖子: 2052
注册时间: 2005-10-19 17:33
送出感谢: 0
接收感谢: 0

#4

帖子 猛将兄 » 2007-10-17 15:23

两篇文章仔细看看阿。特别是第一篇,最general的内核编译的教程。出现错误你也要自己看看是什么错误阿。然后google一下。一般来说,内核编译,你最少要明白make是怎么回事,有较为丰富的Linux的编程经验比较好
回复

回到 “深度PK版”